/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VCoreLabel;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreLabelRecord extends TableRecordImpl<VCoreLabelRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_label.unique_name</code>.
     */
    public void setUniqueName(String value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_label.unique_name</code>.
     */
    public String getUniqueName() {
        return (String) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_label.de_de</code>.
     */
    public void setDeDe(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_label.de_de</code>.
     */
    public String getDeDe() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_label.en</code>.
     */
    public void setEn(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_label.en</code>.
     */
    public String getEn() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_label.pl</code>.
     */
    public void setPl(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_label.pl</code>.
     */
    public String getPl() {
        return (String) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_label.pt_br</code>.
     */
    public void setPtBr(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_label.pt_br</code>.
     */
    public String getPtBr() {
        return (String) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreLabelRecord
     */
    public VCoreLabelRecord() {
        super(VCoreLabel.V_CORE_LABEL);
    }

    /**
     * Create a detached, initialised VCoreLabelRecord
     */
    public VCoreLabelRecord(String uniqueName, String deDe, String en, String pl, String ptBr) {
        super(VCoreLabel.V_CORE_LABEL);

        setUniqueName(uniqueName);
        setDeDe(deDe);
        setEn(en);
        setPl(pl);
        setPtBr(ptBr);
        resetChangedOnNotNull();
    }
}
